Bug 848300 - ovirt-engone-backend [Quota]: creating thin provision template should only calculate the current disk space since the images are locked
ovirt-engone-backend [Quota]: creating thin provision template should only ca...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
unspecified
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Doron Fediuck
Dafna Ron
sla
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 04:28 EDT by Dafna Ron
Modified: 2016-02-10 15:15 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 02:25:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (46.99 KB, application/x-xz)
2012-08-15 04:28 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-08-15 04:28:33 EDT
Created attachment 604548 [details]
log

Description of problem:

currently when I create a template from a vm with thin provision disk we calculate the preallocated space of the disk for the quota. 
since the template's images are locked and we cannot write to it we should calculate the actual size and not the vsize. 

Version-Release number of selected component (if applicable):

si13.3

How reproducible:

100%

Steps to Reproduce:
1. create a 30GB quota and a vm with 20GB thin provision disk (actual size should be 1GB)
2. create a template
3.
  
Actual results:

we are failing on insufficient resources from quota

Expected results:

we should not fail since the template images are locked and we cannot write on them -> hence we should calculate actual size and not vsize for templates. 

Additional info: log
Comment 1 Itamar Heim 2013-02-25 02:25:07 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.